'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _package = require('../../package.json');

var _express = require('express');

var _tag = require('./tag');

var _tag2 = _interopRequireDefault(_tag);

var _user = require('./user');

var _user2 = _interopRequireDefault(_user);

var _businessGroup = require('./businessGroup');

var _businessGroup2 = _interopRequireDefault(_businessGroup);

var _userType = require('./userType');

var _userType2 = _interopRequireDefault(_userType);

var _userRole = require('./userRole');

var _userRole2 = _interopRequireDefault(_userRole);

var _contributor = require('./contributor');

var _contributor2 = _interopRequireDefault(_contributor);

var _right = require('./right');

var _right2 = _interopRequireDefault(_right);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

var _objectGroup = require('./objectGroup');

var _objectGroup2 = _interopRequireDefault(_objectGroup);

var _tile = require('./tile');

var _tile2 = _interopRequireDefault(_tile);

var _wms = require('./wms');

var _wms2 = _interopRequireDefault(_wms);

var _wmts = require('./wmts');

var _wmts2 = _interopRequireDefault(_wmts);

var _vigilance = require('./vigilance');

var _vigilance2 = _interopRequireDefault(_vigilance);

var _validation = require('./validation');

var _validation2 = _interopRequireDefault(_validation);

var _setting = require('./setting');

var _setting2 = _interopRequireDefault(_setting);

var _status = require('./status');

var _status2 = _interopRequireDefault(_status);

var _state = require('./state');

var _state2 = _interopRequireDefault(_state);

var _map = require('./map');

var _map2 = _interopRequireDefault(_map);

var _lbtExport = require('./lbtExport');

var _lbtExport2 = _interopRequireDefault(_lbtExport);

var _rattachment = require('./rattachment');

var _rattachment2 = _interopRequireDefault(_rattachment);

var _footprint = require('./footprint');

var _footprint2 = _interopRequireDefault(_footprint);

var _userFootprint = require('./userFootprint');

var _userFootprint2 = _interopRequireDefault(_userFootprint);

var _auth = require('./auth');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (_ref) {
	var config = _ref.config,
	    db = _ref.db;

	var api = (0, _express.Router)();

	// perhaps expose some API metadata at the root
	api.get(/^\/$/, function (req, res) {
		res.json({ version: _package.version });
	});

	api.post('/login', (0, _auth.auth)(db));

	// check authorization and get authenticated user
	// TODO filter some resources, not all routes need to fetch user
	api.use((0, _auth.authorization)(db));

	// mount the tag resource
	api.use('/tag', (0, _tag2.default)({ config: config, db: db }));

	// mount the user resource
	api.use('/user', (0, _user2.default)({ config: config, db: db }));

	// mount the business resource
	api.use('/business-group', (0, _businessGroup2.default)({ config: config, db: db }));

	// mount the userType resource
	api.use('/user-type', (0, _userType2.default)({ config: config, db: db }));

	// mount the userRole resource
	api.use('/user-role', (0, _userRole2.default)({ config: config, db: db }));

	// mount the contributor resource
	api.use('/contributor', (0, _contributor2.default)({ config: config, db: db }));

	// mount the vigilance resource
	api.use('/vigilance', (0, _vigilance2.default)({ config: config, db: db }));

	// mount the theme resource
	api.use('/theme', (0, _theme2.default)({ config: config, db: db }));

	// mount the objectGroup resource
	api.use('/object-group', (0, _objectGroup2.default)({ config: config, db: db }));

	// mount the right resource
	api.use('/right', (0, _right2.default)({ config: config, db: db }));

	// mount the tile resource
	api.use('/tile', (0, _tile2.default)({ config: config, db: db }));

	// mount the wms resource
	api.use('/wms', (0, _wms2.default)({ config: config, db: db }));

	// mount the wmts resource
	api.use('/wmts', (0, _wmts2.default)({ config: config, db: db }));

	// mount the setting resource
	api.use('/setting', (0, _setting2.default)({ config: config, db: db }));

	// mount the validation resource
	api.use('/validation', (0, _validation2.default)({ config: config, db: db }));

	// mount the status resource
	api.use('/status', (0, _status2.default)({ config: config, db: db }));

	// mount the state resource
	api.use('/state', (0, _state2.default)({ config: config, db: db }));

	// mount the map resource
	api.use('/map', (0, _map2.default)({ config: config, db: db }));

	// mount the generate-export resource
	api.use('/export', (0, _lbtExport2.default)({ config: config, db: db }));

	// mount the rattachment resource
	api.use('/rattachment', (0, _rattachment2.default)({ config: config, db: db }));

	// mount the footprint resource
	api.use('/footprint', (0, _footprint2.default)({ config: config, db: db }));

	// mount the userFootprint resource
	api.use('/user-footprint', (0, _userFootprint2.default)({ config: config, db: db }));

	api.get('/check/tag/name/:value', function (req, res) {
		var value = req.params.value;


		var Model = db.tag;
		Model.findOne({ where: { name: value, deleted: false } }).then(function (object) {
			return res.json({ statut: !object });
		}).catch(function (error) {
			return res.status(500).json({ error: error });
		});
	});

	api.get('/check/:model/:field/:value', function (req, res) {
		var _req$params = req.params,
		    model = _req$params.model,
		    field = _req$params.field,
		    value = _req$params.value;


		var Model = db[model];
		Model.findOne({ where: _defineProperty({}, field, value) }).then(function (object) {
			return res.json({ statut: !object });
		}).catch(function (error) {
			return res.status(500).json({ error: error });
		});
	});

	return api;
};