'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _resourceRouterMiddleware = require('resource-router-middleware');

var _resourceRouterMiddleware2 = _interopRequireDefault(_resourceRouterMiddleware);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
	var config = _ref.config,
	    db = _ref.db;
	return (0, _resourceRouterMiddleware2.default)({

		/** Property name to store preloaded entity on `request`. */
		id: 'userRole',

		/** For requests with an `id`, you can auto-load the entity.
   *  Errors terminate the request, success sets `req[id] = data`.
   */
		load: function load(req, id, callback) {
			var UserRole = db.userRole;

			UserRole.findByPk(id).then(function (userRole) {
				return callback(null, userRole);
			}).catch(function (err) {
				return callback(console.log(err));
			});
		},


		/** GET / - List all entities */
		list: function list(_ref2, res) {
			var params = _ref2.params;

			var UserRole = db.userRole;
			UserRole.findAll({
				order: [['desc', 'ASC']]
			}).then(function (roles) {
				return res.json(roles);
			}).catch(function (err) {
				return console.log(err);
			});
		},


		/** POST / - Create a new entity */
		create: function create(_ref3, res) {
			var body = _ref3.body;

			var UserRole = db.userRole;
			UserRole.create(body).then(function (userRole) {
				return res.json(userRole);
			}).catch(function (err) {
				return console.log(err);
			});
		},


		/** GET /:id - Return a given entity */
		read: function read(_ref4, res) {
			var userRole = _ref4.userRole;

			res.json(userRole);
		},


		/** PUT /:id - Update a given entity */
		update: function update(_ref5, res) {
			var userRole = _ref5.userRole,
			    body = _ref5.body;

			userRole.update(body).then(function (updated) {
				return res.json(updated);
			}).catch(function (err) {
				return res.status(500).json({ error: err });
			});
		},


		/** DELETE /:id - Delete a given entity */
		delete: function _delete(_ref6, res) {
			var userRole = _ref6.userRole;

			userRole.destroy().then(function () {
				return res.sendStatus(204);
			}).catch(function (err) {
				return res.status(500).json({ error: err });
			});
		}
	});
};