'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _resourceRouterMiddleware = require('resource-router-middleware');

var _resourceRouterMiddleware2 = _interopRequireDefault(_resourceRouterMiddleware);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
	var config = _ref.config,
	    db = _ref.db;
	return (0, _resourceRouterMiddleware2.default)({

		/** Property name to store preloaded entity on `request`. */
		id: 'userType',

		/** For requests with an `id`, you can auto-load the entity.
   *  Errors terminate the request, success sets `req[id] = data`.
   */
		load: function load(req, id, callback) {
			var UserType = db.userType;

			UserType.findByPk(id).then(function (userType) {
				return callback(null, userType);
			}).catch(function (err) {
				return callback(console.log(err));
			});
		},


		/** GET / - List all entities */
		list: function list(_ref2, res) {
			var params = _ref2.params;

			var UserType = db.userType;
			UserType.findAll().then(function (types) {
				return res.json(types);
			}).catch(function (err) {
				return console.log(err);
			});
		},


		/** POST / - Create a new entity */
		create: function create(_ref3, res) {
			var body = _ref3.body;

			var UserType = db.userType;
			UserType.create(body).then(function (userType) {
				return res.json(userType);
			}).catch(function (err) {
				return console.log(err);
			});
		},


		/** GET /:id - Return a given entity */
		read: function read(_ref4, res) {
			var userType = _ref4.userType;

			res.json(userType);
		},


		/** PUT /:id - Update a given entity */
		update: function update(_ref5, res) {
			var userType = _ref5.userType,
			    body = _ref5.body;

			userType.update(body).then(function (updated) {
				return res.json(updated);
			}).catch(function (err) {
				return res.status(500).json({ error: err });
			});
		},


		/** DELETE /:id - Delete a given entity */
		delete: function _delete(_ref6, res) {
			var userType = _ref6.userType;

			userType.destroy().then(function () {
				return res.sendStatus(204);
			}).catch(function (err) {
				return res.status(500).json({ error: err });
			});
		}
	});
};