'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _resourceRouterMiddleware = require('resource-router-middleware');

var _resourceRouterMiddleware2 = _interopRequireDefault(_resourceRouterMiddleware);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
	var config = _ref.config,
	    db = _ref.db;
	return (0, _resourceRouterMiddleware2.default)({

		/** Property name to store preloaded entity on `request`. */
		id: 'vigilance',

		/** For requests with an `id`, you can auto-load the entity.
   *  Errors terminate the request, success sets `req[id] = data`.
   */
		load: function load(req, id, callback) {
			var Vigilance = db.vigilance;

			Vigilance.findByPk(id).then(function (vigilance) {
				return callback(null, vigilance);
			}).catch(function (err) {
				return callback(console.log(err));
			});
		},


		/** GET / - List all entities */
		list: function list(_ref2, res) {
			var params = _ref2.params;

			var Vigilance = db.vigilance;
			Vigilance.findAll().then(function (vigilances) {
				return res.json(vigilances);
			}).catch(function (err) {
				return console.log(err);
			});
		},


		/** POST / - Create a new entity */
		create: function create(_, res) {
			res.status(403);
		},


		/** GET /:id - Return a given entity */
		read: function read(_ref3, res) {
			var vigilance = _ref3.vigilance;

			res.json(vigilance);
		},


		/** PUT /:id - Update a given entity */
		update: function update(_ref4, res) {
			var vigilance = _ref4.vigilance,
			    body = _ref4.body;

			res.status(403);
		},


		/** DELETE /:id - Delete a given entity */
		delete: function _delete(_, res) {
			res.status(403);
		}
	});
};