'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _dotenv = require('dotenv');

var _dotenv2 = _interopRequireDefault(_dotenv);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var result = _dotenv2.default.config();
if (result.error) {
    throw result.error;
}

exports.default = {
    host: process.env.POSTGRES_HOST,
    port: process.env.POSTGRES_PORT,
    database: process.env.POSTGRES_DB,
    schema: process.env.POSTGRES_SCHEMA,
    username: process.env.POSTGRES_USER,
    password: process.env.POSTGRES_PASSWORD,
    dialect: 'postgres',
    jwt_secret: process.env.JWT_SECRET,
    logging: process.env.LOGGING === 'true' && console.log,
    epsgOsm: process.env.EPSG_OSM,
    epsgLocal: process.env.EPSG_LOCAL
};